# tcpip.h File Reference

`#include "net/api_msg.h"`
`#include "net/pbuf.h"`

Go to the source code of this file.

## Data Structures

struct | tcpip_msg

## Enumerations

enum | tcpip_msg_type { TCPIP_MSG_API, TCPIP_MSG_INPUT }

## Functions

void | tcpip_apimsg (struct api_msg *apimsg)
void | tcpip_init (void(*tcpip_init_done)(void *), void *arg)
err_t | tcpip_input (struct pbuf *p, struct netif *inp)

## Enumeration Type Documentation

enum tcpip_msg_type

Enumerator:

  TCPIP_MSG_API |
  TCPIP_MSG_INPUT |

Definition at line 45 of file tcpip.h.

## Function Documentation

void tcpip_apimsg | ( | struct api_msg * | apimsg | ) |

Definition at line 121 of file tcpip.c.

References tcpip_msg::apimsg, mbox, memp_free(), memp_mallocp(), MEMP_TCPIP_MSG, tcpip_msg::msg, NULL, sys_mbox_post(), and TCPIP_MSG_API.

Referenced by api_msg_post().

void tcpip_init | ( | void(*)(void *) | tcpip_init_done,
|  | void * | arg |
| ) |  |  |

Definition at line 135 of file tcpip.c.

References mbox, NULL, sys_mbox_new(), sys_thread_new(), tcpip_init_done, tcpip_init_done_arg, and tcpip_thread().

Referenced by netMainThread().

err_t tcpip_input | ( | struct pbuf * | p,
|  | struct netif * | inp |
| ) |  |  |

Definition at line 101 of file tcpip.c.

References ERR_MEM, ERR_OK, tcpip_msg::inp, mbox, memp_mallocp(), MEMP_TCPIP_MSG, tcpip_msg::msg, NULL, tcpip_msg::p, pbuf_free(), sys_mbox_post(), and TCPIP_MSG_INPUT.

Referenced by netMainThread().